# Flourish axes highlights

Axes highlights should be appended per facet. so for example in LBP and scatter it is called in the facet.js file for each facet group. The minimum methods you will need to use is `appendTo`, `chartLayout` and `update`.

## animationDuration
How long you want the animations to take. Expects a number.

## numberParser
Used to parse numbers e.g. ```localization.getParser()```. Used to parse numbers when one of the axes is of type number. (If the axes are of type date we use the chart layout date parsers and strings arent parsed). Expects a function.

## appendTo
The parent element to append it to. We tend to use the `fl-data-foreground` group as the parent (if it exists). e.g. ```.appendTo(select(".fl-data-foreground"))```. Expects a d3 selection.

## xDisabled
If you want x highlights to be disabled (e.g. in LBP when a chart doesnt have an x axis). Expects a boolean.

## yDisabled
If you want y highlights to be disabled (e.g. in LBP when a chart doesnt have an y axis). Expects a boolean.

## xExtendByStep
If you want x area highlights to be extended (e.g. in LBP the area goes beyond the exact x value because it is covering a grid of columns). Expects a boolean.

## yExtendByStep
If you want y area highlights to be extended (e.g. in LBP the area goes beyond the exact y value because it is covering a grid of columns). Expects a boolean.

## chartLayout
Used for scales, margins, plot dimentions etc (should be one per facet).
Expects it to have:
```
- xDatetimeParse
- yDatetimeParse
- margins
- plot_height
- plot_width
- xData
- yData
- xScale
- yScale
```

## facetName
Name of facet, used to know if the highlight should apply to that facet or not. Expects a string.

## update
update highlights!


