
export function getTypeFromChartLayout (data) {
	switch (true) {
		case (data.string_array):
			return "string";
		case (data.numeric_array):
			return "number";
		case (data.datetime_array):
			return "datetime";
		default:
		    return "no type found";
	}
}


var window_width, base_size;

function remToPx(rem) {
	if (window.innerWidth !== window_width) {
		window_width = window.innerWidth;
		base_size = parseFloat(getComputedStyle(document.documentElement).fontSize);
	}
	return rem * base_size;
}

export { remToPx };
